#include <bits/stdc++.h>
#define N 1000006
using namespace std;
long long n,k,a[N];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("CAU1.INP","r",stdin);
    freopen("CAU1.OUT","w",stdout);
    cin>>n>>k;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    if(n==k){
        cout<<a[1];
        return 0;
    }
    else if(n>k){
        for(int i=1;i<=n;i++){
            if(k==0){
                cout<<a[i];
                return 0;
            }
            k--;
        }
    }
    else{
        for(int i=1;i<=n;i++){
            if(n==i){
                i=0;
            }
            else if(k==0){
                cout<<a[i];
                return 0;
            }
            k--;
        }
    }
    return 0;
}
